#include <Wt/WApplication.h>
#include <Wt/WContainerWidget.h>
#include <Wt/WServer.h>
#include <Wt/WText.h>

#include <memory>

namespace Wt {
    class WEnvironment;
} // namespace Wt

class HelloApplication : public Wt::WApplication
{
public:
    HelloApplication(const Wt::WEnvironment& env) : Wt::WApplication(env)
    {
        auto div1 = root()->addNew<Wt::WContainerWidget>();
        div1->setStyleClass("div1");

        auto div2 = div1->addNew<Wt::WContainerWidget>();
        div2->setHtmlTagName("form");
        div2->setStyleClass("div2");

        auto div3 = div2->addNew<Wt::WContainerWidget>();
        div3->setStyleClass("div3");

        div3->addNew<Wt::WText>("Bug demo");
    }
};

int main(int argc, char* argv[])
{
    return Wt::WRun(argc, argv, [](const Wt::WEnvironment& env) {
        return std::make_unique<HelloApplication>(env);
    });
}
